<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE section PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN" 
   "http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd">

<section id="msilo.parameters" xmlns:xi="http://www.w3.org/2001/XInclude">
    <sectioninfo>
    </sectioninfo>

    <title>Parameters</title>

    <section id="msilo.db_url">
	<title><varname>db_url</varname> (string)</title>
	<para>
	    Database URL.
	</para>
	<para>
	    Default value is "mysql://root@localhost/msilo".
	</para>
	<example>
	    <title>Set the "db_url" parameter</title>
	    <programlisting>
...
modparam("msilo", "db_url", "mysql://user:passwd@host.com/dbname")
...
	    </programlisting>
	</example>
    </section>

    <section id="db_table">
	    <title><varname>db_table</varname> (string)</title>
	<para>
	    The name of table where to store the messages.
	</para>
	<para>
	    Default value is "silo".
	</para>
	<example>
	    <title>Set the "db_table" parameter</title>
	    <programlisting>
...
modparam("msilo", "db_table", "silo")
...
	    </programlisting>
	</example>
    </section>

    <section id="msilo.registrar">
	<title><varname>registrar</varname> (string)</title>
	<para>
	    The SIP address used to inform users that destination of their
	    message is not online and the message will be delivered next time
	    when that user goes online. If the parameter is not set, the module
	    will not send any notification. All requests intended for this SIP
	    address will not be stored for lately delivery.
	</para>
	<para>
	    Default value is "NULL".
	</para>
	<example>
	    <title>Set the <varname>registrar</varname> parameter</title>
	    <programlisting>
...
modparam("msilo", "registrar", "sip:registrar@iptel.org")
...
	    </programlisting>
	</example>
    </section>

    <section id="expire_time">
	<title><varname>expire_time</varname> (int)</title>
	<para>
	    Expire time of stored messages - seconds. When this time passed,
	    the message is silently discarded from database.
	</para>
	<para>
	    Default value is 259200 (72 hours = 3 days).
	</para>
	<example>
	    <title>Set the <varname>expire_time</varname> parameter</title>
	    <programlisting>
...
modparam("msilo", "expire_time", 36000)
...
	    </programlisting>
	</example>
    </section>
    
    <section id="msilo.check_time">
	<title><varname>check_time</varname> (int)</title>
	<para>
	    Timer interval to check if dumped messages are sent OK -
	    seconds. The module keeps each request send by itself for a new
	    online user and if the reply is 2xx then the message is deleted
	    from database.
	</para>
	<para>
	    Default value is 30.
	</para>
	<example>
	    <title>Set the <varname>check_time</varname> parameter</title>
	    <programlisting>
...
modparam("msilo", "check_time", 10)
...
	    </programlisting>
	</example>
    </section>

    <section id="clean_period">
	<title><varname>clean_period</varname> (int)</title>
	<para>
	    Number of <varname>check_time</varname> cycles when to check if
	    there are expired messages in database.
	</para>
	<para>
	    Default value is 5.
	</para>
	<example>
	    <title>Set the <varname>clean_period</varname> parameter</title>
	    <programlisting>
...
modparam("msilo", "clean_period", "3")
...
	    </programlisting>
	</example>
    </section>

    <section id="use_contact">
	<title><varname>use_contact</varname> (int)</title>
	<para>
	    Turns on/off the usage of the Contact address to send notification
	    back to sender whose message is stored by MSILO.
	</para>
	<para>
	    Default value is 1 (0 = off, 1 = on).
	</para>
	<example>
	    <title>Set the <varname>param_name</varname> parameter</title>
	    <programlisting>
...
modparam("msilo", "use_contact", 0)
...
	    </programlisting>
	</example>
    </section>

</section>
